Skip to content

GET bot detection updates.

GET
/api/shape/bot/namespaces/{namespace}/bot_detection_updates
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_detection_updates \
--header 'Authorization: <Authorization>'

Getbotdetectionupdates CustomAPI.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace is used to scope the query.

A successful response.

Media typeapplication/json
GetBotDetectionUpdatesResponse

Response for GET bot detection updates.

object
bot_detection_updates
Bot Detection Updates

Bot detection updates holds details of a new threat intelligence package deployment.

Array<object>
BotDetectionUpdate

Bot detection update holds details of a new threat intelligence package deployment.

object
bot_infrastructures
Bot Infrastructures

Bot Infrastructure(s) impacted by the release if a new theat intelligence package.

Array<object>
Bot Infrastructure

Bot Infrastructure.

object
environment_type
string
default: PRODUCTION
Allowed values: PRODUCTION TESTING
name
Name

Name of the bot-infrastructure.

string
>= 6 characters <= 1024 characters
deployment_id
Deployment Id

Deployment ID is used to uniquely identify a deployment/scheduled deployment.

string
<= 1024 characters
deployment_range
object
initiated_time
Initiated Time

Exclusive with [time_range] Timestamp at which the deployment is initiated - Relevant when deployment status is ‘Initiated’, ‘Initiation Failed’, ‘Partially Initiated’, ‘Deployed’, ‘Failed’, ‘Partially Deployed’

string format: date-time
<= 1024 characters
time_range
object
end_time
End Time

Configuration parameter for end time

string format: date-time
<= 1024 characters
start_time
Start Time

Configuration parameter for start time

string format: date-time
<= 1024 characters
deployment_status
string
default: THREAT_INTELLIGENCE_PACKAGE_DEPLOYMENT_STATUS_UNKNOWN
Allowed values: THREAT_INTELLIGENCE_PACKAGE_DEPLOYMENT_STATUS_UNKNOWN THREAT_INTELLIGENCE_PACKAGE_DEPLOYMENT_STATUS_INITIATED THREAT_INTELLIGENCE_PACKAGE_DEPLOYMENT_STATUS_DEPLOYED THREAT_INTELLIGENCE_PACKAGE_DEPLOYMENT_STATUS_FAILED THREAT_INTELLIGENCE_PACKAGE_DEPLOYMENT_STATUS_PARTIALLY_DEPLOYED THREAT_INTELLIGENCE_PACKAGE_DEPLOYMENT_STATUS_INITIATION_FAILED THREAT_INTELLIGENCE_PACKAGE_DEPLOYMENT_STATUS_PARTIALLY_INITIATED THREAT_INTELLIGENCE_PACKAGE_DEPLOYMENT_STATUS_PENDING_SUBMISSION
traffic_type
string
default: WEB
Allowed values: WEB MOBILE
Example
{
"bot_detection_updates": [
{
"bot_infrastructures": [
{
"environment_type": "PRODUCTION"
}
],
"deployment_status": "THREAT_INTELLIGENCE_PACKAGE_DEPLOYMENT_STATUS_UNKNOWN",
"traffic_type": "WEB"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example